commit:     1a1400c50d0695d82ba911b1a0b72312ac8f3e6d
Author:     Horea Christian <horea.christ <AT> yandex <DOT> com>
AuthorDate: Mon Mar 18 20:14:17 2019 +0000
Commit:     Horea Christian <horea.christ <AT> gmail <DOT> com>
CommitDate: Mon Mar 18 20:14:17 2019 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=1a1400c5

dev-python/traits: migrated from main tree

See bug #672412

Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Horea Christian <horea.christ <AT> yandex.com>

 dev-python/traits/metadata.xml        | 26 +++++++++++++++++++++
 dev-python/traits/traits-4.5.0.ebuild | 38 +++++++++++++++++++++++++++++++
 dev-python/traits/traits-4.6.0.ebuild | 43 +++++++++++++++++++++++++++++++++++
 3 files changed, 107 insertions(+)

diff --git a/dev-python/traits/metadata.xml b/dev-python/traits/metadata.xml
new file mode 100644
index 000000000..0e2713e31
--- /dev/null
+++ b/dev-python/traits/metadata.xml
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Horea Christian</name>
+       </maintainer>
+       <maintainer type="project">
+               <email>[email protected]</email>
+               <name>Proxy Maintainers</name>
+       </maintainer>
+       <longdescription lang="en">
+               The traits package from the Enthought Tool Suite provides a
+               metaclass with special attributes that are called traits. A 
trait
+               is a type definition that can be used for normal Python object
+               attributes, giving the attributes some additional 
characteristics:
+               * Initialization: A trait attribute can have a default value
+               * Validation: A trait attribute is manifestly typed.
+               * Delegation: The value of a trait attribute can be contained 
in another object
+               * Notification: Setting the value of a trait attribute can 
fired callbacks
+               * Visualization: With the TraitsUI package, GUIs can be 
generated automatically from traited objects.
+       </longdescription>
+       <upstream>
+               <remote-id type="pypi">traits</remote-id>
+       </upstream>
+</pkgmetadata>

diff --git a/dev-python/traits/traits-4.5.0.ebuild 
b/dev-python/traits/traits-4.5.0.ebuild
new file mode 100644
index 000000000..528d28b25
--- /dev/null
+++ b/dev-python/traits/traits-4.5.0.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Enthought Tool Suite: Explicitly typed attributes for Python"
+HOMEPAGE="http://docs.enthought.com/traits/
+       https://github.com/enthought/traits
+       https://pypi.org/project/traits/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="dev-python/numpy[${PYTHON_USEDEP}]"
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       test? ( ${RDEPEND} )"
+
+python_prepare_all() {
+       sed -i -e "s/'-O3'//g" setup.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile() {
+       local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+       distutils-r1_python_compile
+}
+
+python_test() {
+       cd "${BUILD_DIR}"/lib || die
+       nosetests || die
+}

diff --git a/dev-python/traits/traits-4.6.0.ebuild 
b/dev-python/traits/traits-4.6.0.ebuild
new file mode 100644
index 000000000..5685ceeb5
--- /dev/null
+++ b/dev-python/traits/traits-4.6.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python{2_7,3_4,3_5,3_6} )
+
+inherit distutils-r1 virtualx
+
+DESCRIPTION="Enthought Tool Suite: Explicitly typed attributes for Python"
+HOMEPAGE="http://docs.enthought.com/traits/
+       https://github.com/enthought/traits
+       https://pypi.org/project/traits/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="dev-python/numpy[${PYTHON_USEDEP}]"
+
+DEPEND="
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/nose[${PYTHON_USEDEP}]
+               ${RDEPEND}
+               )"
+
+python_prepare_all() {
+       sed -i -e "s/'-O3'//g" setup.py || die
+       distutils-r1_python_prepare_all
+}
+
+python_compile() {
+       python_is_python3 || local -x CFLAGS="${CFLAGS} -fno-strict-aliasing"
+       distutils-r1_python_compile
+}
+
+python_test() {
+       cd "${BUILD_DIR}"/lib || die
+       nosetests || die
+}

Reply via email to